Bug 1568382 - Switch standard-test-roles to Python 3
Summary: Switch standard-test-roles to Python 3
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: standard-test-roles   
(Show other bugs)
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrei Stepanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY2REMOVAL 1647798
TreeView+ depends on / blocked
 
Reported: 2018-04-17 11:49 UTC by Vít Ondruch
Modified: 2019-01-07 08:15 UTC (History)
3 users (show)

Fixed In Version: standard-test-roles-3.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-01-07 08:15:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vít Ondruch 2018-04-17 11:49:47 UTC
Description of problem:
Python 2 is going to be EOL soon. Ansible in Fedora Rawhide is Python 3 based, so it is about the time to think about switching to Python 3. There are already warings in build.log about it:

~~~
+ /usr/lib/rpm/redhat/brp-mangle-shebangs '' ''
*** WARNING: mangling shebang in /usr/share/ansible/inventory/standard-inventory-local from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/share/ansible/inventory/standard-inventory-vagrant from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/share/ansible/inventory/standard-inventory-rpm from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/share/ansible/inventory/standard-inventory-qcow2 from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/share/ansible/inventory/standard-inventory-docker from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
*** WARNING: mangling shebang in /usr/bin/merge-standard-inventory from #!/usr/bin/env python to #!/usr/bin/python2. This will become an ERROR, fix it manually!
~~~


Version-Release number of selected component (if applicable):
standard-test-roles-2.9-1.fc29

Comment 1 Jan Kurik 2018-08-14 10:06:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Miro Hrončok 2018-11-08 11:41:47 UTC
Please, switch to Python 3 only.

Is it possible? Not possible? What's the blocker?

Comment 3 Miro Hrončok 2018-11-14 16:42:50 UTC
Any response at all?

Comment 4 Andrei Stepanov 2018-11-14 16:51:16 UTC
Miro hi!

Yes, upstream has a bunch of merged PR that has necessary changes.
Also there is pending issue: https://pagure.io/standard-test-roles/issue/283

Please wait for a new build in coming days.

Comment 5 Miro Hrončok 2019-01-07 08:15:52 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.